<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JPSOAP_ContactNumber StructType
 * @subpackage Structs
 */
class JPSOAP_ContactNumber extends JPSOAP_Email
{
    /**
     * The _
     * @var \StructType\JPSOAP_Email
     */
    public $_;
    /**
     * The Int
     * @var string
     */
    public $Int;
    /**
     * The Area
     * @var string
     */
    public $Area;
    /**
     * Constructor method for JPSOAP_ContactNumber
     * @uses JPSOAP_ContactNumber::set_()
     * @uses JPSOAP_ContactNumber::setInt()
     * @uses JPSOAP_ContactNumber::setArea()
     * @param \StructType\JPSOAP_Email $_
     * @param string $int
     * @param string $area
     */
    public function __construct(\StructType\JPSOAP_Email $_ = null, $int = null, $area = null)
    {
        $this
            ->set_($_)
            ->setInt($int)
            ->setArea($area);
    }
    /**
     * Get _ value
     * @return \StructType\JPSOAP_Email|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param \StructType\JPSOAP_Email $_
     * @return \StructType\JPSOAP_ContactNumber
     */
    public function set_(\StructType\JPSOAP_Email $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Get Int value
     * @return string|null
     */
    public function getInt()
    {
        return $this->Int;
    }
    /**
     * Set Int value
     * @param string $int
     * @return \StructType\JPSOAP_ContactNumber
     */
    public function setInt($int = null)
    {
        // validation for constraint: string
        if (!is_null($int) && !is_string($int)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($int, true), gettype($int)), __LINE__);
        }
        $this->Int = $int;
        return $this;
    }
    /**
     * Get Area value
     * @return string|null
     */
    public function getArea()
    {
        return $this->Area;
    }
    /**
     * Set Area value
     * @param string $area
     * @return \StructType\JPSOAP_ContactNumber
     */
    public function setArea($area = null)
    {
        // validation for constraint: string
        if (!is_null($area) && !is_string($area)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($area, true), gettype($area)), __LINE__);
        }
        $this->Area = $area;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JPSOAP_ContactNumber
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
